Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.hibernate.cfg
Enum AnnotatedClassType

    java.lang.Object
      java.lang.Enum<AnnotatedClassType>
          org.hibernate.cfg.AnnotatedClassType

All Implemented Interfaces:
  Serializable, Comparable<AnnotatedClassType>

    public enum AnnotatedClassType

extends Enum<AnnotatedClassType>

Type of annotation of a class will give its type

Author:
  Emmanuel Bernard

Enum Constant Summary
`EMBEDDABLE` has a @Embeddable annotation
`EMBEDDABLE_SUPERCLASS` has @EmbeddedSuperclass annotation
`ENTITY` has @Entity annotation
`NONE` has no revelent top level annotation

Method Summary
`static AnnotatedClassType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static AnnotatedClassType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NONE

    public static final AnnotatedClassType NONE

  has no revelent top level annotation

### ENTITY

    public static final AnnotatedClassType ENTITY

  has @Entity annotation

### EMBEDDABLE

    public static final AnnotatedClassType EMBEDDABLE

  has a @Embeddable annotation

### EMBEDDABLE_SUPERCLASS

    public static final AnnotatedClassType EMBEDDABLE_SUPERCLASS

  has @EmbeddedSuperclass annotation

Method Detail

### values

    public static final AnnotatedClassType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(AnnotatedClassType c : AnnotatedClassType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static AnnotatedClassType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD